function [K]=covar_ARD_exp_amp_dv(x1,x2,lambda,g)

X1 = x1';
X2 = x2';

[r1,l1] = size(x1);
[r2,l2] = size(x2);
[hl,hc] = size(lambda);

amp=lambda(r1+1);

M = diag(exp(lambda(1:r1)));

if (g>=1) && (g<=r1)
    
    der = -exp(lambda(g))*dist(X1(:,g),X2(:,g),1);

    K = exp(amp)*der.*exp(-dist(X1,X2,M)); 
end

if (g==hl)
    K = exp(amp)*exp(-dist(X1,X2,M));
end
K = K';
function distance = dist(X,Y,T)
nx	= size(X,1);
ny	= size(Y,1);

distance = sum((X.^2)*T,2)*ones(1,ny) +...
         ones(nx,1)*sum((Y.^2)*T,2)' - 2*(X*T*Y');




