function [K]=covar_ARD_exp_dv(x1,x2,lambda,g)

X1 = x1';
X2 = x2';

M = diag(exp(lambda));

der = -exp(lambda(g))*dist(X1(:,g),X2(:,g),1);

K = der.*exp(-dist(X1,X2,M));  
K = K';
function distance = dist(X,Y,T)
nx	= size(X,1);
ny	= size(Y,1);

distance = sum((X.^2)*T,2)*ones(1,ny) +...
         ones(nx,1)*sum((Y.^2)*T,2)' - 2*(X*T*Y');




