function [MPP]=test_BGPC_EP...
    (x,X,Y,K,niHat,tafHat,hyper,Shat,SHatH,L,zitatest,DataCov)
% function to compute posterior class probabilities  for class "+1" 

[dim,m] = size(x);

for k = 1:m
    a  =  x(:,k);
    
    kx    =  feval(DataCov,a,X,hyper);
    kstar =  feval(DataCov,a,a,hyper);
    
    fs_mean = kx'*(niHat-zitatest);
    ni  =L'\(SHatH*kx);
    
    fs_var=kstar-ni'*ni;
    
    MPP(k) = feval('cumGauss', [], fs_mean, fs_var); 
end
MPP=MPP';
