function [K]=covar_ARD_exp(x1,x2,lambda)

X1 = x1';
X2 = x2';

[r1,l1] = size(x1);
[r2,l2] = size(x2);
[hl,hc] = size(lambda);

M = diag(exp(lambda));

K = exp(-dist(X1,X2,M));  
K = K';

function distance = dist(X,Y,T)
nx	= size(X,1);
ny	= size(Y,1);

distance = sum((X.^2)*T,2)*ones(1,ny) +...
         ones(nx,1)*sum((Y.^2)*T,2)' - 2*(X*T*Y');

