function [K]=covar_NN(x1,x2,lambda)

x1=x1';
x2=x2';

wv = lambda(1);
bv = lambda(2);
kv = lambda(3);

innerProd =   x1*x2';  
numer     =   innerProd*wv^2 + bv^2;
vec1      =   sum(x1.*x1, 2)*wv^2 + bv^2 + 1;
vec2      =   sum(x2.*x2, 2)*wv^2 + bv^2 + 1;
denom     =   sqrt(vec1*vec2');
arg       =   numer./denom;
sk        =   2/pi*asin(arg);

K  = (kv^2)*sk;
K  = K';





      