function [Kd]=covar_NN_dv(x1,x2,lambda,gp)
%gp:gradient pointer

x1=x1';
x2=x2';


wv = lambda(1);
bv = lambda(2);
kv = lambda(3);



innerProd =   x1*x2';  
numer     =   innerProd*wv^2 + bv^2;
vec1      =   sum(x1.*x1, 2)*wv^2 + bv^2 + 1;
vec2      =   sum(x2.*x2, 2)*wv^2 + bv^2 + 1;
denom     =   sqrt(vec1*vec2');
arg       =   numer./denom;
sk        =   2/pi*asin(arg);
K         =   (kv^2)*sk;


denom3 = denom.*denom.*denom;
base = 2/pi*(kv^2)./sqrt(1-arg.*arg);
baseCovGrad = base;



 
vec12 = sum(x1.*x1, 2);

vec22 = sum(x2.*x2, 2);

if gp==1
    
    Kd = (2*wv*innerProd./denom -.5*numer./denom3...
        .*(((wv^2).*vec12+bv^2+1)*(vec22*2*wv)'...
        + (vec12*2*wv)*((wv^2).*vec22+bv^2+1)')).*baseCovGrad;
end

if gp==2
    
    Kd = ((2*bv)./denom-.5*numer./denom3...
        .*(repmat(vec12, 1, size(vec22, 1))*wv^2*2*bv ...
                        + 4*(bv^3) + 4*bv ...
                        +repmat(vec22', size(vec12, 1), 1)* ...
                        wv^2*2*bv)).*baseCovGrad;
end

if gp==3
    
    Kd = 2*kv*sk;
end
Kd=Kd';