function [K]=covar_SE_exp(x1,x2,lambda)

X1 = x1';
X2 = x2';

[r1,l1] = size(X1);
[r2,l2] = size(X2);
[hl,hc] = size(lambda);

M   =  exp(lambda(1))*eye(l1);
amp =  exp(lambda(2)); 
K   =  amp*exp(-dist(X1,X2,M));  
K   =  K';

function distance = dist(X,Y,T)
nx	= size(X,1);
ny	= size(Y,1);

distance = sum((X.^2)*T,2)*ones(1,ny) +...
         ones(nx,1)*sum((Y.^2)*T,2)' - 2*(X*T*Y');

