function [KGS]=sparGPMTL(Kf,Kx,N,t_pointer)

[rN,cN]=size(N);
[rKx,cKx]=size(Kx);

%% Construction of the Enlarged task cov.matrix
dummy=zeros(cN,rKx);
if (rKx==1)
    for i=1:cN
        KGS(i)=Kx*Kf(i,i);
    end
    KGS=KGS';
    
    return
end

for i=1:cN%%cN=number of tasks
    dummy(i,:)=t_pointer;
    for j=1:cN
        bita=find(t_pointer==N(j));
         for k=1:length(bita)
             dummy(i,bita(k))=Kf(i,j);
         end
         bita=0;
    end
end

if (rKx==cKx)
    
    for i=1:rKx
    
        alpha=find(N==t_pointer(i));
        
        Kx(i,:)=Kx(i,:).*dummy(alpha,:);
    end
    KGS=Kx;
end

if (rKx ~= cKx)
    for i=1:cN
        KGS(:,i)=Kx.*dummy(i,:)';
    end
end
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%other ways
        
%1)       bita=kron(Kf,kx).*[ones(n1,2);zeros(n1+n2,2);ones(n2,2)];
%     
%         epsilon=sparse(bita);
%     
%         ne=epsilon ~=0;
%     
%         km=full(bita(ne));
%     
%         Km=reshape(km,n1+n2,2);
%2) 
% Kt1=Kx(1:n1,1:n2).*Kf(1,1);
% Kt2=Kx(n1+1:end,1:n2).*Kf(1,2);
% Kt3=Kx(n1+1:end,n2+1:end).*Kf(2,2);
% KGS=[Kt1 Kt2';Kt2 Kt3];

% 
% 
% 3)
% Mpr=kron(Kf,Kx);
% D=[ones(n1,1);zeros(n1+n2,1);ones(n2,1)];
% KG=diag(D)*Mpr*diag(D);
% alpha=sparse(KG);
% nz=alpha ~=0;
% 
% 
% KGs=full(KG(nz));
% KGS=reshape(KGs,n1+n2,n1+n2);